cpw.mods.fml.common.launcher

## Class FMLTweaker

- java.lang.Object
- - cpw.mods.fml.common.launcher.FMLTweaker

- All Implemented Interfaces:
    net.minecraft.launchwrapper.ITweaker
  Direct Known Subclasses:
    FMLServerTweaker

      public class FMLTweaker
      extends Object
      implements net.minecraft.launchwrapper.ITweaker

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLTweaker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptOptions(List<String> args, File gameDir, File assetsDir, String profile)`
    `File` | `getGameDir()`
    `static URI` | `getJarLocation()`
    `String[]` | `getLaunchArguments()`
    `String` | `getLaunchTarget()`
    `void` | `injectCascadingTweak(net.minecraft.launchwrapper.ITweaker tweaker)`
    `void` | `injectIntoClassLoader(net.minecraft.launchwrapper.LaunchClassLoader classLoader)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLTweaker

          public FMLTweaker()

  - ### Method Detail

    - #### acceptOptions

          public void acceptOptions(List<String> args,
                           File gameDir,
                           File assetsDir,
                           String profile)

      Specified by:
        `acceptOptions` in interface `net.minecraft.launchwrapper.ITweaker`

    - #### injectIntoClassLoader

          public void injectIntoClassLoader(net.minecraft.launchwrapper.LaunchClassLoader classLoader)

      Specified by:
        `injectIntoClassLoader` in interface `net.minecraft.launchwrapper.ITweaker`

    - #### getLaunchTarget

          public String getLaunchTarget()

      Specified by:
        `getLaunchTarget` in interface `net.minecraft.launchwrapper.ITweaker`

    - #### getLaunchArguments

          public String[] getLaunchArguments()

      Specified by:
        `getLaunchArguments` in interface `net.minecraft.launchwrapper.ITweaker`

    - #### getGameDir

          public File getGameDir()

    - #### getJarLocation

          public static URI getJarLocation()

    - #### injectCascadingTweak

          public void injectCascadingTweak(net.minecraft.launchwrapper.ITweaker tweaker)